For the complete documentation index, see llms.txt. This page is also available as Markdown.

List product package slots

List product package slots.

get
/tenants/{tenantUid}/products/{productUid}/packages/slots
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/products/{productUid}/packages/slots
GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "productPackageSlotUid": "text",
      "name": "text",
      "position": 1,
      "minComponentsAllowed": 1,
      "maxComponentsAllowed": 1,
      "normPrice": 1,
      "components": [
        {
          "productPackageComponentUid": "text",
          "product": {
            "productUid": "text",
            "name": "text",
            "sku": "text",
            "brand": "text",
            "description": "text"
          },
          "position": 1,
          "quantity": 1,
          "specialPrice": 1,
          "required": true,
          "createdBy": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z"
        }
      ],
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?